# TODO
# - convert all plugin packages to store their plugins in this base
#   directory.
# - Add addons and themes support for gecko based browsers
# Known NPAPI compatible browsers from PLD Linux CVS:
# - galeon
# - kazehakase
# - konqueror
# - mozilla
# - mozilla-firefox
# - mozilla-firefox-bin
# - netscape (update script on netscape-common package)
# - opera (ix86, x86_64, ppc only)
# - seamonkey
# - skipstone
# - iceweasel
# - iceape
Summary:	Base package for web browser plugins
Summary(pl.UTF-8):	Podstawowy pakiet dla wtyczek przeglądarek WWW
Name:		browser-plugins
Version:	3.0
Release:	3
License:	GPL
Group:		Base
BuildRequires:	rpmbuild(macros) >= 1.356
Source0:	%{name}.README
Source1:	%{name}-update.sh
Requires:	filesystem >= 2.0-2
Requires:	findutils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	%{_browserpluginsconfdir}

%description
This package provides base directory for browser plugins complying to
Netscape Plugin API (NPAPI).

Browsers known to support NPAPI:
- Netscape Communicator/Navigator
- Mozilla/Mozilla Firefox/Seamonkey
- Opera
- Konqueror

%description -l pl.UTF-8
Ten pakiet dostarcza podstawowy katalog dla wtyczek przeglądarek
zgodnych z Netscape Plugin API (NPAPI).

Przeglądarki obsługujące NPAPI to:
- Netscape Communicator/Navigator
- Mozilla/Mozilla Firefox/Seamonkey
- Opera
- Konqueror

%prep
%setup -qcT
cp -a %{SOURCE0} README
cp -a %{SOURCE1} update-browser-plugins

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/{blacklist,browsers}.d,%{_sbindir}}
install update-browser-plugins $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_browser_plugins

# we don't need postin script as all browsers depend on this package and
# therefore this package should be last one to go from system.

%files
%defattr(644,root,root,755)
%dir %{_sysconfdir}
%dir %{_sysconfdir}/browsers.d
%dir %{_sysconfdir}/blacklist.d
%attr(755,root,root) %{_sbindir}/update-browser-plugins
%changelog
* Mon May 27 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/browser-plugins.git;a=log;h=master

* Sun Oct 11 2009 Elan Ruusamäe <glen@pld-linux.org> b73cee7
- adjust dep compatible for ac; rel 3

* Sat Sep 05 2009 Elan Ruusamäe <glen@pld-linux.org> 1251275
- R filesystem with biarch dirs; rel 2

* Thu Jul 31 2008 Elan Ruusamäe <glen@pld-linux.org> a44f138
- update browser list; rel 1

* Wed Jun 18 2008 Elan Ruusamäe <glen@pld-linux.org> 3683e1b
- version 3.0: handle nspluginwrapper

* Wed Jun 18 2008 Elan Ruusamäe <glen@pld-linux.org> 08b3422
- handle nspluginwrapper

* Wed Apr 23 2008 Elan Ruusamäe <glen@pld-linux.org> 947bf7d
- nspluginwrapper -v -a -i is needed to be called when flash pkg is updated

* Sat Dec 29 2007 Elan Ruusamäe <glen@pld-linux.org> 271b3c0
- rel 3

* Fri Aug 31 2007 arvenil <arvenil@pld-linux.org> b587af5
- R: findutils
- release 2

* Wed Feb 28 2007 Elan Ruusamäe <glen@pld-linux.org> 5713eeb
- correct error message

* Wed Feb 28 2007 Elan Ruusamäe <glen@pld-linux.org> d191cfc
- 2.0.1: bugfix for dead symlinks in browsers.d dir

* Wed Feb 28 2007 Elan Ruusamäe <glen@pld-linux.org> e416f25
- bugfix for dead symlinks

* Sat Feb 24 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a6b6009
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a5bcd0c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 674196a
- converted to UTF-8

* Wed Jan 10 2007 Elan Ruusamäe <glen@pld-linux.org> ca51e7f
- allow symlinks in plugindirs

* Sat Dec 23 2006 Elan Ruusamäe <glen@pld-linux.org> 41775b1
- browser plugins v2 unleashed

* Wed Nov 01 2006 Elan Ruusamäe <glen@pld-linux.org> 634d68e
- there's no uninstall, plugins get to dead symlinks after uninstall which update script deletes

* Mon Oct 30 2006 Elan Ruusamäe <glen@pld-linux.org> 6d6f2da
- local.* files are not handled. drop them

* Mon Oct 30 2006 Elan Ruusamäe <glen@pld-linux.org> 566b66d
- implement archidecture check

* Mon Oct 30 2006 Elan Ruusamäe <glen@pld-linux.org> e29f89a
- planted TODO-s

